com.google.gwt.aria.client

## Class Property

- java.lang.Object
- - com.google.gwt.aria.client.Property

-     public final class Property
      extends java.lang.Object

  Class that contains constants for all ARIA properties as defined by the W3C specification W3C ARIA specification.

  An ARIA property is a characteristic feature of a widget/control that can change over time but more rare than the ARIA state and is often not changed as a result of user action.

  The following groups of properties exist:

  1. Widget properties -- specific to common user interface elements found on GUI systems or in rich Internet applications which receive user input and process user actions
  2. Live Region properties -- specific to live regions in rich Internet applications; may be applied to any element; indicate that content changes may occur without the element having focus, and provides assistive technologies with information on how to process those content updates.
  3. Drag-and-drop states -- indicates information about draggable elements and their drop targets
  4. Relationship properties -- indicates relationships or associations between elements which cannot be readily determined from the document structure

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Attribute<Id>` | `ACTIVEDESCENDANT`
    `static Attribute<java.lang.Boolean>` | `ATOMIC`
    `static Attribute<AutocompleteValue>` | `AUTOCOMPLETE`
    `static Attribute<Id>` | `CONTROLS`
    `static Attribute<Id>` | `DESCRIBEDBY`
    `static Attribute<DropeffectValue>` | `DROPEFFECT`
    `static Attribute<Id>` | `FLOWTO`
    `static Attribute<java.lang.Boolean>` | `HASPOPUP`
    `static Attribute<java.lang.String>` | `LABEL`
    `static Attribute<Id>` | `LABELLEDBY`
    `static Attribute<java.lang.Integer>` | `LEVEL`
    `static Attribute<LiveValue>` | `LIVE`
    `static Attribute<java.lang.Boolean>` | `MULTILINE`
    `static Attribute<java.lang.Boolean>` | `MULTISELECTABLE`
    `static Attribute<OrientationValue>` | `ORIENTATION`
    `static Attribute<Id>` | `OWNS`
    `static Attribute<java.lang.Integer>` | `POSINSET`
    `static Attribute<java.lang.Boolean>` | `READONLY`
    `static Attribute<RelevantValue>` | `RELEVANT`
    `static Attribute<java.lang.Boolean>` | `REQUIRED`
    `static Attribute<java.lang.Integer>` | `SETSIZE`
    `static Attribute<SortValue>` | `SORT`
    `static Attribute<java.lang.Number>` | `VALUEMAX`
    `static Attribute<java.lang.Number>` | `VALUEMIN`
    `static Attribute<java.lang.Number>` | `VALUENOW`
    `static Attribute<java.lang.String>` | `VALUETEXT`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTIVEDESCENDANT

          public static final Attribute<Id> ACTIVEDESCENDANT

    - #### ATOMIC

          public static final Attribute<java.lang.Boolean> ATOMIC

    - #### AUTOCOMPLETE

          public static final Attribute<AutocompleteValue> AUTOCOMPLETE

    - #### CONTROLS

          public static final Attribute<Id> CONTROLS

    - #### DESCRIBEDBY

          public static final Attribute<Id> DESCRIBEDBY

    - #### DROPEFFECT

          public static final Attribute<DropeffectValue> DROPEFFECT

    - #### FLOWTO

          public static final Attribute<Id> FLOWTO

    - #### HASPOPUP

          public static final Attribute<java.lang.Boolean> HASPOPUP

    - #### LABEL

          public static final Attribute<java.lang.String> LABEL

    - #### LABELLEDBY

          public static final Attribute<Id> LABELLEDBY

    - #### LEVEL

          public static final Attribute<java.lang.Integer> LEVEL

    - #### LIVE

          public static final Attribute<LiveValue> LIVE

    - #### MULTILINE

          public static final Attribute<java.lang.Boolean> MULTILINE

    - #### MULTISELECTABLE

          public static final Attribute<java.lang.Boolean> MULTISELECTABLE

    - #### ORIENTATION

          public static final Attribute<OrientationValue> ORIENTATION

    - #### OWNS

          public static final Attribute<Id> OWNS

    - #### POSINSET

          public static final Attribute<java.lang.Integer> POSINSET

    - #### READONLY

          public static final Attribute<java.lang.Boolean> READONLY

    - #### RELEVANT

          public static final Attribute<RelevantValue> RELEVANT

    - #### REQUIRED

          public static final Attribute<java.lang.Boolean> REQUIRED

    - #### SETSIZE

          public static final Attribute<java.lang.Integer> SETSIZE

    - #### SORT

          public static final Attribute<SortValue> SORT

    - #### VALUEMAX

          public static final Attribute<java.lang.Number> VALUEMAX

    - #### VALUEMIN

          public static final Attribute<java.lang.Number> VALUEMIN

    - #### VALUENOW

          public static final Attribute<java.lang.Number> VALUENOW

    - #### VALUETEXT

          public static final Attribute<java.lang.String> VALUETEXT